<template>
  <div id="app">
    <div id="nav">
      <router-link to="/">Accueil</router-link> |
      <router-link to="/component-example">Example composant</router-link> |
      <router-link to="/directives">Directives</router-link> |
      <router-link :to="{ name: 'TwoWayBinding' }" tag="button">Two Way Binding (v-model)</router-link> |
      <router-link :to="{ name: 'TwoWayBindingExercise' }">Two Way Binding (v-model) Exercices</router-link> |
      <router-link to="/test/10">Test Page</router-link> |
      <router-link :to="{ name: 'ComponentToDo' }">Découpage composant</router-link> |
      <router-link :to="{ name: 'StoreDemo' }">Démo Store (Vuex)</router-link> |<br/>
      <router-link :to="{ name: 'AxiosDemo' }">Fetch données Axios (API)</router-link>
    </div>
    <div class="container">
      <router-view/>
    </div>
  </div>
</template>

<style lang="scss">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;

  .container {
    text-align: center;
  }
}

#nav {
  padding: 30px;
  text-align: center;

  a {
    font-weight: bold;
    color: #2c3e50;
    margin: 1rem;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
</style>
